Bug 8332 - (int-153875) Day View doesn't display synced events with complex uneditable repeats
(int-153875)
: Day View doesn't display synced events with complex uneditable repeats
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(3.2010.02-8)
: All Maemo
: Medium normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-20 21:38 UTC by Brad Grigor
Modified: 2010-04-09 15:26 UTC (History)
2 users (show)

See Also:


Attachments
Shows Month View - Jan 26 contains testcase event (52.25 KB, image/png)
2010-01-20 21:46 UTC, Brad Grigor
Details
Shows Week View - Jan 26 contains testcase event (38.73 KB, image/png)
2010-01-20 21:48 UTC, Brad Grigor
Details
Shows Day View - testcase event is not displayed (155.53 KB, image/png)
2010-01-20 21:50 UTC, Brad Grigor
Details
An event with complex repeat (uneditable) (34.20 KB, image/png)
2010-01-20 21:55 UTC, Brad Grigor
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Brad Grigor (reporter) 2010-01-20 21:38:59 UTC
SOFTWARE VERSION:
(Settings > General > About product)
Nokia N900, Maemo 5, Version: 2.2009.51-1.002

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Launch Calendar app and see Month View
2. Select a week that contains an event with "complex repeat (uneditable)".
Notice that the particular event is displayed in the Week View.
3. While still in Week View, click the day that contains the particular event.
Notice that the event is NOT displayed in the Day View.


EXPECTED OUTCOME:
Day View should display the event.

ACTUAL OUTCOME:
Day View does not display the event.

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)
Always.

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
See attachments showing the case for a particular event that occurs on the 4th
Tuesday of each month. The event was created in Outlook 2007 on Windows 7 and
synchronized to the N900 using Nokia PC Suite.

User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1;
Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729;
Media Center PC 6.0; OfficeLiveConnector.1.4; OfficeLivePatch.1.3; Tablet PC
2.0)
Comment 1 Brad Grigor (reporter) 2010-01-20 21:46:31 UTC
Created an attachment (id=2064) [details]
Shows Month View - Jan 26 contains testcase event

Jan 26 contains an event at 19:00 that has a complex repeat (uneditable). This
event is not displayed in Day View.
Comment 2 Brad Grigor (reporter) 2010-01-20 21:48:40 UTC
Created an attachment (id=2065) [details]
Shows Week View - Jan 26 contains testcase event

The event with complex repeat on Jan 26 at 19:00 is shown in the Week View for
week 04.
Comment 3 Brad Grigor (reporter) 2010-01-20 21:50:09 UTC
Created an attachment (id=2066) [details]
Shows Day View - testcase event is not displayed

In Day View for Jan. 26, the event with complex repeat is not displayed.
Comment 4 Brad Grigor (reporter) 2010-01-20 21:55:36 UTC
Created an attachment (id=2068) [details]
An event with complex repeat (uneditable)

This is an example of an event that displays in Month and Week Views, but not
in Day View. It has the property "Complex repeat. Unable to edit.)". This event
was created in Outlook 2007 and synchronized to the N900 with Nokia PC Suite.
The complex repeat in this example is "4th Tuesday of every month".
Comment 5 Andre Klapper maemo.org 2010-01-20 23:01:41 UTC
Thanks for reporting this and also the screenshots!
Comment 6 Venomrush 2010-03-24 00:51:55 UTC
Any updates from internal comments if this has been fixed for PR1.2?
Bug has been idle for 2 months..
Comment 7 Andre Klapper maemo.org 2010-04-09 15:26:41 UTC
Internal comment:

"Issue not reproducible in internal builds that will become the public PR1.2
release later, PC suite: 7.1.46.1. Changing the status to resolved FIXED."


Hence this has been fixed for the next public update (PR1.2). Please reopen if
you still run into this problem once PR1.2 has been released for public.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/